classification
Title: SimpleXMLRPCServer not suitable for HTTP/1.1 keep-alive
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.7, Python 2.6, Python 2.5
process
Status: closed Resolution: out of date
Dependencies: Superseder: Cumulative patcc:h to http and xmlrpc
View: 6267
Assigned To: Nosy List: kristjan.jonsson, loewis
Priority: normal Keywords: easy, needs review, patch

Created on 2009-05-24 17:06 by kristjan.jonsson, last changed 2009-06-20 16:28 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
xmlsrv.patch kristjan.jonsson, 2009-05-24 17:06
xmlsrv.patch kristjan.jonsson, 2009-06-09 13:43
Messages (3)
msg88269 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-05-24 17:06
The SimpleXMRRPCServer class calls connection.shutdown(1) when done with 
each request, thus making it unsuitable for a RequestHandler that supports 
HTTP/1.1 with keep-alive.  This patch removes those extra shutdown calls.
Patch also uploaded as 
http://codereview.appspot.com/63143
msg89147 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-06-09 13:43
Here is a better patch.
Remove the individual flush() operations from the implementation classes, 
rather do it in the BaseHTTPRequestHandler().  This allows any request 
handler to be write buffered.
msg89543 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-06-20 16:28
Superseded by issue6267.
History
Date User Action Args
2009-06-20 16:28:38loewissetstatus: open -> closed

superseder: Cumulative patcc:h to http and xmlrpc

keywords: patch, patch, easy, needs review
nosy: + loewis
messages: + msg89543
resolution: out of date
2009-06-09 13:43:09kristjan.jonssonsetkeywords: patch, patch, easy, needs review
files: + xmlsrv.patch
messages: + msg89147
2009-05-24 17:06:48kristjan.jonssoncreate